Package org.apache.tools.ant.util

## Class Native2AsciiUtils

- java.lang.Object
- - org.apache.tools.ant.util.Native2AsciiUtils

-     public class Native2AsciiUtils
      extends java.lang.Object

  Contains helper methods for Ant's built-in implementation of native2ascii.
  Since:
    Ant 1.9.8

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Native2AsciiUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `ascii2native​(java.lang.String line)` | Replaces Unicode-Escapes.
    `static java.lang.String` | `native2ascii​(java.lang.String line)` | Replaces non-ASCII characters with their Unicode-Escapes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Native2AsciiUtils

          public Native2AsciiUtils()

  - ### Method Detail

    - #### native2ascii

          public static java.lang.String native2ascii​(java.lang.String line)

      Replaces non-ASCII characters with their Unicode-Escapes.

      Expects to be called once per line if applied to a file.

      Parameters:
        `line` - the input line
      Returns:
        the translated line

    - #### ascii2native

          public static java.lang.String ascii2native​(java.lang.String line)

      Replaces Unicode-Escapes.

      Expects to be called once per line if applied to a file.

      Parameters:
        `line` - the input line
      Returns:
        the translated line